1 CompeGPS Pocket PRO special features

CompeGPS Pocket PRO has several special features that are useful to work with Geographic Information Systems and makes up a difference with CompeGPS Pocket Land.

This guide explains these extra specifications of the PRO version of CompeGPS Pocket, being valid for all the other functions the CompeGPS Pocket Land’s users’ guide.

Extra specifications:

  1. Open SHP vectorial maps.

  2. Edit SHP vectorial maps. This edition can be done while moving outdoor and showing our actual GPS position. We can also edit SHP maps with a background orthofoto.

  3. It is possible to edit the registers of the SHP associated database.

  4. Show two extra decimals of the UTM coordinates.

Limitations:

  1. The SHP files to edit should have small size, we recommend less than 1Mb.


2 How to open a SHP map

To open a SHP map we have to create an IMP file besides the SHP. This can be easily done with the PC version of CompeGPS. Follow next steps:

1. Select, from the main menu, Maps>Import maps.

2. Select the SHP file that has to be open.

3. In the next window, you Hill be asked for the projection and datum of the SHP file.

4. Save the resulting map with IMP extension.

5. Copy the SHP file, the other files (DBF, SHX) and the new IMP file in the Pocket PC.

6. To open that map from the Pocket PC, select File > Open map, and select the IMP file.


3 How to edit an SHP map

To modify an SHP file, follow the next steps:

1. Open the SHP map.

2. Press Edit vectorial map [image] button. Then all the map edition bar buttons will be activated.

3. See next subparagraphs to learn the functionality of these buttons.


3.1 Edition buttons

· Edit vector map [image]: Press this button to enable/disable the map edition. When it is enabled, the panning tool [image] will not be operational.

· Layer Administrator [image] : From here you can change colors and other variables of the vectorial map layers. SHP maps only have one layer, so this button just edit the variables of this one

The properties we can find and edit in this window are:

o Type

o Name: Layer nameombre.

o Color: Color of this layer’s lines.

o Fill color: Color inside the polygons.

o Activated: Whether we an modify this layer (YES: activated) or not (NO: not activated).

o Zoom level: There is the chance to make this layer only visible when we are in certain zoom levels.

o Pixel thickness: On screen thickness of the line.

o Real thickness: Thickness of the line in the reality.

· Insert intermediate points [image] : If this button is pressed, we can add points to the selected polylines, simply clicking on the map. If this button is not selected we can’t add points, even when polygons are selected.

· Edit Polyline [image] : This button lets you see the properties of the selected polyline.

From this window, we can modify the information of the associated database.

· Delete Polilyne [image] : This button erases the selected polyline.

· Delete Point [image] : Press it and the selected point will be deleted.

· Undo [image] : This erases the last modification you made on the map.

· Create new polygon [image]: This tool will let us draw a new polygon inside the vector map.

o Press successively over the map to create the vertices of the polygon. From third point, the program will automatically draw a closing line for the polygon.

o It is possible to move the created points by pressing and dragging them with the PDA pencil.

· Properties *: This button will let us see the properties of the polygon we have selected right now. From this window we will be also able to see next polygons.


3.2 Edition using the pencil

When in edition mode, if you click on a polygon or polyline, this becomes selected.

When a polygon or polyline is selected, we can move (dragging) anyone of the polyline points.

If you have the insert intermediate points [image] button pressed, when you click at any point of the screen, a new point is created between the two that determinated the selected polyline.


3.3 Edition using the context menu

If the context menu is opened on a polygon or polyline (holding the pencil on it) the next options will be shown:

If the context menu is opened on an empty point (holding the pencil on it) the next options will be shown:

These options will let you execute the next operations:

· Properties: Shows the properties of the selected polygon.

· Delete polyline: Erases the selected polyline.

· Delete point: Erases, from the selected polyline, the point where the context menu has been opened.

· Duplicate Polygon: Creates a copy of the selected polygon, and enables its edition.

· Search Polygon: Searches, in the maps folder of CompePocket for some polygon of any other map that is located in the same position. If it is found, it is loaded.

· Create a new polygon/polyline: You can create new polygons or polylines but, due to the limitations of this format, when working with polygons it is not possible to create polylines and vice versa.


CompeGPS Pocket PRO Users' Guide


sadfsdfasd

CompeGPS Pocket PRO
(Addenda to CompeGPS Pocket Land Users’ guide)

CompeGPS Pocket PRO Guide

CompeGPS Team S.L.

support@compegps.com
http://www.compegps.com

Index

1 CompeGPS Pocket PRO special features. 3

2 How to open a SHP map. 3

3 How to edit an SHP map. 3

3.1 Edition buttons.. 4

3.2 Edition using the pencil. 6

3.3 Edition using the context menu.. 6